Canalplan Bug Tracker



Anonymous Login
2019-01-21 09:54 GMT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000526Canalplan [All Projects] Data Maintenancepublic2019-01-04 10:34
ReporterPeterScott 
Assigned ToNick Atty 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product VersionProduct Build 
Target VersionFixed in Version 
Summary0000526: New Waterway - blank map for new places
DescriptionAdding River Ouseburn to attach to the River Tyne at existing junction. Adding Unconnected Location was fine, and then defining the Connecting waterway was OK. The new Gazetteer locations showed only blue background for their maps. Succeeded in adding an itermediate point on that blue background for an intermediate location. Map for this location (Walker Road Bridge) in the Gazetteer also just a blue background (see attached). Also no branch shown in the stripmaps for the new connecting waterway at the exisiting Tyne-Ouse Junction (place/7l99)
Steps To ReproduceReloading place does the same thing - so not awaiting a backgound map-regeneration process (??)
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0002001

Nick Atty (administrator)

I'm glad adding isolated place worked, as that's the most complicated bit I've rewritten recently.

The fact that the map stays blue, rather than going white is a dead giveaway that something is broken. I just have to find out what!

~0002002

Nick Atty (administrator)

It's not generating any data for the waterway - I need to pull things back and work on it for a while, probably tomorrow now.

~0002003

Nick Atty (administrator)

The problem is that the waterway didn't belong to any of the 4 top level regions that the new mapping system is based on. Moving it into the waterways of Britain and moving Walker Road Bridge to the right place (to trigger the background stuff) made it all work properly. No coding or manual DB tweaking needed.
 
So you can feel free to go on adding to the waterway. I need to make sure that when a brand new waterway is added you have to pick which region to put it under. Will leave this bug open to prompt me to do that.

~0002005

Nick Atty (administrator)

Now fixed - new waterway goes automatically at the top level of the region it is in (and we check that both places are in the same region).

Thanks for the detailed report at the start - it really helped me pin down the problem.
+Notes

-Issue History
Date Modified Username Field Change
2019-01-03 15:30 PeterScott New Issue
2019-01-03 15:30 PeterScott File Added: Walker Road Bridge.jpg
2019-01-03 17:48 Stephen Atty Assigned To => Nick Atty
2019-01-03 17:48 Stephen Atty Status new => assigned
2019-01-03 17:56 Nick Atty Note Added: 0002001
2019-01-03 18:23 Nick Atty Note Added: 0002002
2019-01-03 19:46 Nick Atty Note Added: 0002003
2019-01-04 10:34 Nick Atty Note Added: 0002005
2019-01-04 10:34 Nick Atty Status assigned => resolved
2019-01-04 10:34 Nick Atty Resolution open => fixed
+Issue History